#### ENCODE

#### Synopsis

    HELP:   Encoding procedure [NONE]
    TYPE:   OVERLAY
    SYNTAX: ENCODE/COD.{BASE64()/BASE32()/BASE16()/ARMOR/PGP()}

#### Description

The overlay 'encode' allows to choose which kind of encoding method is used for the data. Depending on the encoding method, different parameters can be set.

If no encoding method is selected, then no data encoding will be done.

Example: ASCII armor encoding for encrypted OpenPGP file, previously deflated and prepared for usage on a UTF-8-based UNIX system.

     flcl conv
       read.file='~.TEST.FB'
       write.text(file='~/test.txt.gz.pgp.a64' ccsid=UTF-8 method=unix
                  comp.gzip(level=9)
                  encrypt.pgp(userid='receivername' fkm5() armor()))

See below for the available encoding options.